Bug 214487 - net-im/prosody: update to 0.9.12
Summary: net-im/prosody: update to 0.9.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks: 210462
  Show dependency treegraph
 
Reported: 2016-11-13 21:59 UTC by Piotr Kubaj
Modified: 2017-01-28 03:40 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (lx)


Attachments
patch (848 bytes, patch)
2016-11-13 21:59 UTC, Piotr Kubaj
no flags Details | Diff
patch (811 bytes, patch)
2017-01-12 13:01 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (lx)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-11-13 21:59:40 UTC
Created attachment 176970 [details]
patch

This patch updates the port to version 0.9.11. It finally works with Luasec 0.6, enabling security/luasec update.

It builds fine on Poudriere with 11.0.
Comment 1 Christian Schwarz 2017-01-11 23:58:04 UTC
I would be interested in progress on this one.

Skimming through the release notes [1] I found that

a) we're at 0.9.12 on upstream already
b) 0.9.12 fixes several bugs related to luasec 0.6

We should bump to 0.9.12 right away.

[1] https://prosody.im/doc/release/0.9.12
Comment 2 Piotr Kubaj freebsd_committer 2017-01-12 13:01:39 UTC
Created attachment 178789 [details]
patch

Patch updated for 0.9.12.

Builds fine with Poudriere on 11.0.
Comment 3 Nikolai Lifanov freebsd_committer 2017-01-25 14:10:50 UTC
Take: I think this counts as a timeout.
Comment 4 Nikolai Lifanov freebsd_committer 2017-01-28 03:36:14 UTC
This was approved in a private email.
Comment 5 commit-hook freebsd_committer 2017-01-28 03:39:11 UTC
A commit references this bug:

Author: lifanov
Date: Sat Jan 28 03:38:08 UTC 2017
New revision: 432611
URL: https://svnweb.freebsd.org/changeset/ports/432611

Log:
  update net-im/prosody to 0.9.12

   http://blog.prosody.im/prosody-0-9-11-released/
   http://blog.prosody.im/prosody-0-9-12-released/

  PR:		214487
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Reviewed by:	matthew
  Approved by:	matthew (mentor), lx (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D9328

Changes:
  head/net-im/prosody/Makefile
  head/net-im/prosody/distinfo
Comment 6 Nikolai Lifanov freebsd_committer 2017-01-28 03:40:14 UTC
Committed, thanks!